Subject: Re: bug#35584: CD/DVD does not work

From: "pelzflorian (Florian Pelz)" <[email-masked]>
Date: Sun, 5 May 2019 20:11:13 +0200

On Sun, May 05, 2019 at 11:52:36AM -0500, sirgazil wrote:
> Hi,
> 
> I installed the GNU system in a real machine using the Guix 1.0 ISO installer (https://ftp.gnu.org/gnu/guix/guix-system-install-1.0.0.x86_64-linux.iso.xz).
> 
> When I insert a CD or a DVD the drive light flashes for a moment, then turns off, but it seems the discs are never mounted. GNOME displays no messages, GNOME Files does not list the drive, I don't see anything related to DVD after running  "findmnt", and running "lsblk" says:
> 
> ```
> $ lsblk 
> NAME   MAJ:MIN RM   SIZE RO TYPE MOUNTPOINT
> sda      8:0    0 931,5G  0 disk 
> ├─sda1   8:1    0   750M  0 part /boot/efi
> ├─sda2   8:2    0   3,7G  0 part [SWAP]
> └─sda3   8:3    0 927,1G  0 part /
> sr0     11:0    1  1024M  0 rom
> ```

I can confirm.  So sr0 is visible.  The same happens for me on an
internal and an external USB DVD drive when I insert a video DVD, but
I can play it with VLC and once I open the drive /dev/sr0 in VLC it
gets auto-mounted in Nautilus.  Note that I have gvfs in my packages
field, if that makes a difference.

On Arch the DVD gets mounted by Nautilus immediately on insert.

I have no idea why that happens though.

Regards,
Florian